{
  "schema_version": "1.4.0",
  "id": "GHSA-hc6x-m9mp-6xc2",
  "modified": "2025-04-09T04:07:00Z",
  "published": "2022-05-02T03:16:42Z",
  "aliases": [
    "CVE-2009-0583"
  ],
  "details": "Multiple integer overflows in icc.c in the International Color Consortium (ICC) Format library (aka icclib), as used in Ghostscript 8.64 and earlier and Argyll Color Management System (CMS) 1.0.3 and earlier, allow context-dependent attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly execute arbitrary code by using a device file for a translation request that operates on a crafted image file and targets a certain \"native color space,\" related to an ICC profile in a (1) PostScript or (2) PDF file with embedded images.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0583"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2009:0345"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2009-0583"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=487742"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/49329"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-2991"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10795"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/757-1"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00770.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00772.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00887.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00916.html"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=261087"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-03/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34266"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34373"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34381"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34393"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34398"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34418"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34437"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34443"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34469"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34729"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35559"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35569"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1021868"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-262288-1"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2009-098.htm"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/wiki/Advisories:rPSA-2009-0050"
    },
    {
      "type": "WEB",
      "url": "http://www.auscert.org.au/render.html?it=10666"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1746"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200903-37.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:095"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:096"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0345.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/501994/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34184"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-743-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0776"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0777"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0816"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1708"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-03-23T20:00:00Z"
  }
}